   public class Simulation
   {
      private Environment theEnv;
      private EnvDisplay theDisplay;
      public Simulation(Environment env, EnvDisplay display)
      {
         theEnv = env;
         theDisplay = display;
      
         theDisplay.showEnv();
         Debug.println("-------- Initial Configuration --------");
         Debug.println(theEnv.toString());
         Debug.println("---------------------------------------");
      }
      public void step()
      {
         Locatable[] theFishes = theEnv.allObjects();
         for(int index = 0; index < theFishes.length; index++)
         {
            ((Fish)theFishes[index]).act();
         }
      
         theDisplay.showEnv();
         Debug.println(theEnv.toString());
         Debug.println("-------- End of Timestep --------");
      }
   }