   public class TreeSetWithOpsDriver
   {
      public static void main(String[] args)
      {
         TreeSetWithOps t1 = new TreeSetWithOps();
         t1.add("A");
         t1.add("B");
         t1.add("C");
         System.out.println("t1 = " + t1);
      
         TreeSetWithOps t2 = new TreeSetWithOps();
         t2.add("B");
         t2.add("C");
         System.out.println("t2 = " + t2);
      
         TreeSetWithOps t3 = new TreeSetWithOps();
         t3.add("A");
         t3.add("B");
         System.out.println("t3 = " + t3);
      
         System.out.println("t1 intersect t2 = " + 
            t1.setIntersection(t2));
         System.out.println("t2 intersect t3 = " + 
            t2.setIntersection(t3));
         System.out.println("t3 intersect t1 = " + 
            t3.setIntersection(t1));
      
         System.out.println("t1 union t2 = " + 
            t1.setUnion(t2));
         System.out.println("t2 union t3 = " + 
            t2.setUnion(t3));
      
         System.out.println("t1 difference t2 = " + 
            t1.setDifference(t2));
         System.out.println("t2 difference t1 = " + 
            t2.setDifference(t1));
         System.out.println("t2 difference t3 = " + 
            t2.setDifference(t3));
         System.out.println("t3 difference t2 = " + 
            t3.setDifference(t2));
         System.out.println("t3 difference t1 = " + 
            t3.setDifference(t1));
         System.out.println("t1 difference t3 = " + 
            t1.setDifference(t3));
      
         System.out.println("t1 subset of t2 ??? " + 
            t2.isSubset(t1));
         System.out.println("t2 subset of t1 ??? " + 
            t1.isSubset(t2));
         System.out.println("t3 subset of t1 ??? " + 
            t1.isSubset(t3));
      
         System.out.println("t1 proper subset of t3 ??? " + 
            t3.isProperSubset(t1));
         System.out.println("t2 proper subset of t3 ??? " + 
            t3.isProperSubset(t2));
         System.out.println("t3 proper subset of t2 ??? " + 
            t2.isProperSubset(t3));
      
         System.out.println("t1 difference t1 = " + 
            t1.setDifference(t1));
         System.out.println("t1 subset of t1 ??? " + 
            t1.isSubset(t1));
         System.out.println("t1 proper subset of t1 ??? " + 
            t1.isProperSubset(t1));
      }
   }