   public class SimpleMBSDemo2
   {
      private static final int ENV_ROWS = 10;
      private static final int ENV_COLS = 10;
      private static final int NUM_STEPS = 15;
      private static final int DELAY = 1000;
      public static void main(String[] args)
      {
         BoundedEnv env = new BoundedEnv(ENV_ROWS, ENV_COLS);
         Fish f1 = new Fish(env, new Location(2, 2));
         Fish f2 = new Fish(env, new Location(2, 3));
         Fish f3 = new Fish(env, new Location(5, 8));
      
         SimpleMBSDisplay display = new SimpleMBSDisplay(env, DELAY);
      
         Simulation sim = new Simulation(env, display);
      
         for(int k = 0; k < NUM_STEPS; k++)
         {
            sim.step();
         }
      }
   }