   import java.awt.Color;
   import java.util.ArrayList;
   import java.util.Random;
   public class SlowFish extends Fish
   {
      private double probOfMoving;
      public SlowFish(Environment env, Location loc)
      {
         super(env, loc, env.randomDirection(), Color.red);
         probOfMoving = 1.0/5.0;
      }
      public SlowFish(Environment env, Location loc, Direction dir)
      {
         super(env, loc, dir, Color.red);
         probOfMoving = 1.0/5.0;
      }
      public SlowFish(Environment env, Location loc, Direction dir, Color col)
      {
         super(env, loc, dir, col);
         probOfMoving = 1.0/5.0;
      }
      protected void generateChild(Location loc)
      {
         SlowFish child = new SlowFish(environment(), loc,
                           environment().randomDirection(),
                           color());
         Debug.println("  New SlowFish created: " + child.toString());
      }
      protected Location nextLocation()
      {
         Random randNumGen = RandNumGenerator.getInstance();
         if(randNumGen.nextDouble() < probOfMoving)
            return super.nextLocation();
         else
         {
            Debug.println("SlowFish " + toString() + 
                         " not attempting to move.");
            return location();
         }
      }
   }